<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import PFEmpEditView_EditModeBase from './pfemp-edit-view-edit-mode-base.vue';

import view_form from '@widgets/pfemp/main3-form/main3-form.vue';

/**
 * 职员
 *
 * @export
 * @class PFEmpEditView_EditMode
 * @extends {PFEmpEditView_EditModeBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class PFEmpEditView_EditMode extends PFEmpEditView_EditModeBase { }
</script>